Subject: [sfc] Next Protocol in draft-ietf-sfc-nsh-00

From: William Caban <[email-masked]>
Date: Tue, 5 May 2015 15:09:41 -0400

In section 3.2: This draft defines the following Next Protocol values:

   0x1 : IPv4
   0x2 : IPv6
   0x3 : Ethernet

Please, consider a “RAW/BLOB” or “TEST” Next Protocol identifier which could be used by network researchers and academia to develop future protocols and benefit from the NSH without having to modify the future NSH standard. With such an identification, application vendors could use the same headers to inject SN of experimental and/or proprietary protocols without modifying the standard.

_William

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 5 May 2015 19:21:21 +0000

Assigning a couple of Experimental values sounds useful. [RFC3692]

Maybe 253 and 254, ³Use for experimentation and testing².

Thanks,

‹ Carlos.

-----Original Message-----
From: William Caban <[email-masked]>
Date: Tuesday, May 5, 2015 at 3:09 PM
To: "[email-masked]" <[email-masked]>
Subject: [sfc] Next Protocol in draft-ietf-sfc-nsh-00

>Please, consider a ³RAW/BLOB² or ³TEST² Next Protocol identifier which
>could be used by network researchers and academia to develop future
>protocols and benefit from the NSH without having to modify the future
>NSH standard. With such an identification, application vendors could use
>the same headers to inject SN of experimental and/or proprietary
>protocols without modifying the standard.
>
>_William
>
>_______________________________________________
>sfc mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/sfc

---

From: "Larry Kreeger (kreeger)" <[email-masked]>
Date: Tue, 5 May 2015 19:32:24 +0000

Using values 254 and 255 would be consistent with what was done for the MD
Type, and fit within table 2 which doesn't define these values as either
assigned, unassigned or reserved.

 - Larry

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 5 May 2015 19:56:00 +0000

That works as well — for a second I thought 255 was Reserved (like 0), but you are right it is not.

Thanks,

— Carlos.

> On May 5, 2015, at 3:32 PM, Larry Kreeger (kreeger) <[email-masked]> wrote:
>